    <node>
     <interface name='org.gnu.test.DBus'>
       <method name='Method1'>
         <arg name='arg1' type='s' direction='in'/>
         <arg name='res1' type='x' direction='out'/>
       </method>
       <method name='Method2'>
         <arg name='arg1' type='x' direction='in'/>
         <arg name='res1' type='s' direction='out'/>
         <arg name='res2' type='x' direction='out'/>
       </method>
       <method name='Method3'>
         <arg name='arg1' type='as' direction='in'/>
         <arg name='res1' type='ax' direction='out'/>
       </method>
       <method name='Method4'>
         <arg name='arg1' type='a{sx}' direction='in'/>
         <arg name='res1' type='x' direction='out'/>
       </method>
       <method name='Method5'>
         <arg name='arg1' type='a{sx}' direction='in'/>
         <arg name='res1' type='a{xs}' direction='out'/>
       </method>
       <method name='Method6'>
       </method>
       <signal name='Signal1'>
         <arg name='param' type='x'/>
       </signal>
       <property name='Volume' type='d' access='readwrite'>
       </property>
       <property name='ReadonlyProp' type='s' access='read'>
       </property>
       <property name='WriteonlyProp' type='s' access='write'>
       </property>
     </interface>
   </node>
